package cn.com.infosec.asn1.sec;

import cn.com.infosec.asn1.x9.X9ECParameters;
import cn.com.infosec.asn1.x9.X9ECParametersHolder;
import cn.com.infosec.math.ec.ECConstants;
import cn.com.infosec.math.ec.ECCurve;
import cn.com.infosec.math.ec.ECPoint;
import cn.com.infosec.util.encoders.Hex;
import java.math.BigInteger;

class SECNamedCurves$25 extends X9ECParametersHolder {
   protected X9ECParameters createParameters() {
      BigInteger var5 = ECConstants.ZERO;
      BigInteger var1 = BigInteger.valueOf(1L);
      BigInteger var2 = SECNamedCurves.access$0("8000000000000000000000000000069D5BB915BCD46EFB1AD5F173ABDF");
      BigInteger var3 = BigInteger.valueOf(4L);
      ECCurve.F2m var4;
      ECCurve.F2m var10000 = var4 = new ECCurve.F2m;
      var10000.<init>(233, 74, var5, var1, var2, var3);
      ECPoint var6 = var10000.decodePoint(Hex.decode("04017232BA853A7E731AF129F22FF4149563A419C26BF50A4C9D6EEFAD612601DB537DECE819B7F70F555A67C427A8CD9BF18AEB9B56E0C11056FAE6A3"));
      return new X9ECParameters(var4, var6, var2, var3, (byte[])null);
   }
}
